curry-frontend
Lexer, parser, type checker, etc. for Curry; executable

NEW: Take a look at the new package tracker: tracker.debian.org/pkg/curry-frontend

general

source
curry-frontend (optional, misc)
version
0.4.2-7
maint
Debian Curry Maintainers (a), Mike Gabriel (u), Michael Hanus (u)
arch
any all
std-ver
4.1.0
VCS
Git (browse)

binaries

todo

  • Lintian reports 10 warnings about this package. You should make the package lintian clean getting rid of them.

problems

  • The package has not yet entered testing even though the 5-day delay is over. Check why.
  • There were override disparities found in suite unstable:
    • curry-frontend: Override says misc - optional, .deb says misc - extra
    • libghc-curry-frontend-dev: Override says haskell - optional, .deb says haskell - extra
    • libghc-curry-frontend-doc: Override says doc - optional, .deb says doc - extra
    • libghc-curry-frontend-prof: Override says haskell - optional, .deb says haskell - extra

autoremoval from testing

  • Version 0.4.2-6 of curry-frontend is marked for autoremoval from testing on 2017-10-29.
  • It depends (transitively) on and haskell-profunctors, affected by RC bug(s) and 875877
  • You should try to prevent the removal from testing by fixing these bugs.

testing migration

excuses:
  • Migration status: BLOCKED: Cannot migrate due to another item, which is blocked (please check which dependencies are stuck)
  • 34 days old (needed 5 days)
  • libghc-curry-frontend-dev/amd64 unsatisfiable Depends: libghc-curry-base-dev-0.4.2-19f89
  • libghc-curry-frontend-prof/amd64 unsatisfiable Depends: libghc-curry-base-prof-0.4.2-19f89
  • libghc-curry-frontend-dev/i386 unsatisfiable Depends: libghc-curry-base-dev-0.4.2-5516b
  • libghc-curry-frontend-prof/i386 unsatisfiable Depends: libghc-curry-base-prof-0.4.2-5516b
  • libghc-curry-frontend-dev/arm64 unsatisfiable Depends: libghc-curry-base-dev-0.4.2-0aaf8
  • libghc-curry-frontend-prof/arm64 unsatisfiable Depends: libghc-curry-base-prof-0.4.2-0aaf8
  • libghc-curry-frontend-dev/armel unsatisfiable Depends: libghc-curry-base-dev-0.4.2-8028f
  • libghc-curry-frontend-prof/armel unsatisfiable Depends: libghc-curry-base-prof-0.4.2-8028f
  • libghc-curry-frontend-dev/mips unsatisfiable Depends: libghc-curry-base-dev-0.4.2-353c2
  • libghc-curry-frontend-prof/mips unsatisfiable Depends: libghc-curry-base-prof-0.4.2-353c2
  • libghc-curry-frontend-dev/ppc64el unsatisfiable Depends: libghc-curry-base-dev-0.4.2-5c154
  • libghc-curry-frontend-prof/ppc64el unsatisfiable Depends: libghc-curry-base-prof-0.4.2-5c154
  • libghc-curry-frontend-dev/s390x unsatisfiable Depends: libghc-curry-base-dev-0.4.2-f331b
  • libghc-curry-frontend-prof/s390x unsatisfiable Depends: libghc-curry-base-prof-0.4.2-f331b
  • Piuparts tested OK - https://piuparts.debian.org/sid/source/c/curry-frontend.html
  • Invalidated by dependency
  • Depends: curry-frontend curry-base (not considered)
  • Depends: curry-frontend haskell-syb
  • Not considered

news RSS

bugs

all bug history graph
0
RC
0
I&N
0
M&W
0
F&P
0